# Tokens

The Profiles API Token enables your ability to increase personalized content based on detailed customer information. This REST API returns customer data in real-time and updates your segment information. The ability to create a Profiles API token is based on your folder permissions.   You can also use Profiles API Token to personalize your customers' experience on your website. You can combine Treasure Data’s personalization feature with A/B Testing tools such as Adobe Target, Optimizely, or Google Optimize, to determine the version of your website that yields results.   When the underlying personalization workflow completes, the personalization data set is refreshed. You can see a current list of the segments to which a specific profile belongs. You can also see a list of attributes associated with the specific profile.  The parent segment must already exist. The parent segment is the basis for all data accessed by Profiles API Tokens.   The use of the Profiles API Token with your tools requires the use of the Treasure Data JavaScript SDK and support or services consultation.

 - [GET /audiences/{audienceId}/tokens](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/tokens_index.md): Retrieve a list of Profile API tokens associated with a parent segment ID.
 - [POST /audiences/{audienceId}/tokens](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/tokens_create.md): Create a new Profiles API token. *This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative.*
 - [GET /audiences/{audienceId}/tokens/{tokenId}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/tokens_show.md): Retrieve a specific Profiles API token by its identifier.
 - [PUT /audiences/{audienceId}/tokens/{tokenId}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/tokens_update.md): Update a Profiles API token. *This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative.*
 - [DELETE /audiences/{audienceId}/tokens/{tokenId}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/tokens_delete.md): Delete a Profiles API token. *This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative.*
 - [POST /entities/tokens](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/paths/~1entities~1tokens/post.md): Create a Profiles API token.
 - [GET /entities/tokens/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/paths/~1entities~1tokens~1%7Bid%7D/get.md): Retrieve the specified Profiles API token.
 - [PATCH /entities/tokens/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/paths/~1entities~1tokens~1%7Bid%7D/patch.md): Update a Profiles API token.
 - [DELETE /entities/tokens/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/tokens/paths/~1entities~1tokens~1%7Bid%7D/delete.md): Delete the specified Profiles API token.
